From 5d3843144eb8012811aa099027cf768fd039162e Mon Sep 17 00:00:00 2001
From: Nicola Sella <nsella@redhat.com>
Date: Thu, 13 Apr 2023 18:33:04 +0200
Subject: [PATCH] Disable tutorial unit-tests

---
 .../python3/libdnf5/tutorial/test_tutorial.py | 78 +++++++++----------
 1 file changed, 39 insertions(+), 39 deletions(-)

diff --git a/test/python3/libdnf5/tutorial/test_tutorial.py b/test/python3/libdnf5/tutorial/test_tutorial.py
index 24a11367..684ff4fd 100644
--- a/test/python3/libdnf5/tutorial/test_tutorial.py
+++ b/test/python3/libdnf5/tutorial/test_tutorial.py
@@ -33,57 +33,57 @@ class TestTutorial(base_test_case.BaseTestCase):
         self.baseurl = pathlib.Path(os.path.join(
             PROJECT_BINARY_DIR, "test/data/repos-rpm/rpm-repo1/")).as_uri()
 
-    def test_create_base(self):
-        file = ""
-        with open("tutorial/session/create_base.py", "r") as f:
-            file += f.read()
+    # def test_create_base(self):
+    #     file = ""
+    #     with open("tutorial/session/create_base.py", "r") as f:
+    #         file += f.read()
 
-        exec(file, {'installroot': self.installroot})
+    #     exec(file, {'installroot': self.installroot})
 
-    def test_load_repo(self):
-        file = ""
-        with open("tutorial/session/create_base.py", "r") as f:
-            file += f.read()
+    # def test_load_repo(self):
+    #     file = ""
+    #     with open("tutorial/session/create_base.py", "r") as f:
+    #         file += f.read()
 
-        with open("tutorial/repo/load_repo.py", "r") as f:
-            file += f.read()
+    #     with open("tutorial/repo/load_repo.py", "r") as f:
+    #         file += f.read()
 
-        exec(file, {'installroot': self.installroot, 'baseurl': self.baseurl})
+    #     exec(file, {'installroot': self.installroot, 'baseurl': self.baseurl})
 
-    def test_load_system_repo(self):
-        # TODO(nsella) This example does not 'compile' yet
-        # file = ""
-        # with open("tutorial/session/create_base.py", "r") as f:
-        #     file += f.read()
+    # def test_load_system_repo(self):
+    #     # TODO(nsella) This example does not 'compile' yet
+    #     # file = ""
+    #     # with open("tutorial/session/create_base.py", "r") as f:
+    #     #     file += f.read()
 
-        # with open("tutorial/repo/load_system_repos.py", "r") as f:
-        #     file += f.read()
+    #     # with open("tutorial/repo/load_system_repos.py", "r") as f:
+    #     #     file += f.read()
 
-        # exec(file, { 'installroot': self.installroot, 'baseurl': self.baseurl })
-        pass
+    #     # exec(file, { 'installroot': self.installroot, 'baseurl': self.baseurl })
+    #     pass
 
-    def test_query(self):
-        file = ""
-        with open("tutorial/session/create_base.py", "r") as f:
-            file += f.read()
+    # def test_query(self):
+    #     file = ""
+    #     with open("tutorial/session/create_base.py", "r") as f:
+    #         file += f.read()
 
-        with open("tutorial/repo/load_repo.py", "r") as f:
-            file += f.read()
+    #     with open("tutorial/repo/load_repo.py", "r") as f:
+    #         file += f.read()
 
-        with open("tutorial/query/query.py", "r") as f:
-            file += f.read()
+    #     with open("tutorial/query/query.py", "r") as f:
+    #         file += f.read()
 
-        exec(file, {'installroot': self.installroot, 'baseurl': self.baseurl})
+    #     exec(file, {'installroot': self.installroot, 'baseurl': self.baseurl})
 
-    def test_transaction(self):
-        file = ""
-        with open("tutorial/session/create_base.py", "r") as f:
-            file += f.read()
+    # def test_transaction(self):
+    #     file = ""
+    #     with open("tutorial/session/create_base.py", "r") as f:
+    #         file += f.read()
 
-        with open("tutorial/repo/load_repo.py", "r") as f:
-            file += f.read()
+    #     with open("tutorial/repo/load_repo.py", "r") as f:
+    #         file += f.read()
 
-        with open("tutorial/transaction/transaction.py", "r") as f:
-            file += f.read()
+    #     with open("tutorial/transaction/transaction.py", "r") as f:
+    #         file += f.read()
 
-        exec(file, {'installroot': self.installroot, 'baseurl': self.baseurl})
+    #     exec(file, {'installroot': self.installroot, 'baseurl': self.baseurl})
-- 
2.39.2

